import { Command as $Command } from "@smithy/smithy-client";
import { MetadataBearer as __MetadataBearer } from "@smithy/types";
import {
  MediaPackageV2ClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../MediaPackageV2Client";
import {
  DeleteChannelRequest,
  DeleteChannelResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteChannelCommandInput extends DeleteChannelRequest {}
export interface DeleteChannelCommandOutput
  extends DeleteChannelResponse,
    __MetadataBearer {}
declare const DeleteChannelCommand_base: {
  new (
    input: DeleteChannelCommandInput
  ): import("@smithy/smithy-client").CommandImpl<
    DeleteChannelCommandInput,
    DeleteChannelCommandOutput,
    MediaPackageV2ClientResolvedConfig,
    ServiceInputTypes,
    ServiceOutputTypes
  >;
  getEndpointParameterInstructions(): import("@smithy/middleware-endpoint").EndpointParameterInstructions;
};
export declare class DeleteChannelCommand extends DeleteChannelCommand_base {}
